Import Package made by Infrastructure Map Server 2012

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Import Package made by Infrastructure Map Server 2012

Reservoirdog
Hello community!

I have an electricity-project based on Autodesk Map 3D 2012.
We have several "mapguide" servers running in our environment,
however Map 3d 2012 can only publish to AIMS 2012.
(Not possible to publish to older versions like MGOS 2.2, Topobase Client 2011 could.....)
I thought about going indirectly on MG OS 2.2 via packaging.
So i made a package of the published content on AIMS 2012 server and copied
the package into the package repository of the MG OS 2.2. Then I tried to
import this package, and got following error message:
"An exception occurred in DB XML component. Error: The specified schema file is not found: C:\Program Files\OSGeo\MapGuide\Server\Schema\MapDefinition-2.3.0.xsd File: c:\builds\mg22x64\mgdev\server\src\services\resource\XmlSchemaResolver.cpp Line: 118"

It seems, that the newer "mapdefiniton 2.3.0" coming from the newer server is missing in the mapguide os server. Is there any way to transfer the 63!!! layers from newest AIMS to MGOS?

Reply | Threaded
Open this post in threaded view
|

Re: Import Package made by Infrastructure Map Server 2012

zspitzer
only with the test 2.4 releases

On Tue, May 29, 2012 at 9:11 PM, Reservoirdog <[hidden email]> wrote:

> Hello community!
>
> I have an electricity-project based on Autodesk Map 3D 2012.
> We have several "mapguide" servers running in our environment,
> however Map 3d 2012 can only publish to AIMS 2012.
> (Not possible to publish to older versions like MGOS 2.2, Topobase Client
> 2011 could.....)
> I thought about going indirectly on MG OS 2.2 via packaging.
> So i made a package of the published content on AIMS 2012 server and copied
> the package into the package repository of the MG OS 2.2. Then I tried to
> import this package, and got following error message:
> "An exception occurred in DB XML component. Error: The specified schema file
> is not found: C:\Program
> Files\OSGeo\MapGuide\Server\Schema\MapDefinition-2.3.0.xsd File:
> c:\builds\mg22x64\mgdev\server\src\services\resource\XmlSchemaResolver.cpp
> Line: 118"
>
> It seems, that the newer "mapdefiniton 2.3.0" coming from the newer server
> is missing in the mapguide os server. Is there any way to transfer the 63!!!
> layers from newest AIMS to MGOS?
>
>
>
> --
> View this message in context: http://osgeo-org.1560.n6.nabble.com/Import-Package-made-by-Infrastructure-Map-Server-2012-tp4977700.html
> Sent from the MapGuide Users mailing list archive at Nabble.com.
> _______________________________________________
> mapguide-users mailing list
> [hidden email]
> http://lists.osgeo.org/mailman/listinfo/mapguide-users



--
Zac Spitzer
Solution Architect / Director
Ennoble Consultancy Australia
http://www.ennoble.com.au
http://zacster.blogspot.com
+61 405 847 168
_______________________________________________
mapguide-users mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/mapguide-users
Reply | Threaded
Open this post in threaded view
|

Re: Import Package made by Infrastructure Map Server 2012

Hans Milling
This post was updated on .
In reply to this post by Reservoirdog
I solved this by copying the missing .XSD files from your C:\Program Files\Autodesk\Autodesk Infrastructure Map Server 2012\Schema folder to the C:\Program Files\OSGeo\MapGuide\Server\Schema folder (or where your MapGuide installation is). Then use Maestro 4.01 (or 5b) to export/import the package.

Best regards Hans Milling...

P.S. Remember to restart the MapGuide service after you have copied the files.
Reply | Threaded
Open this post in threaded view
|

Re: Import Package made by Infrastructure Map Server 2012

Reservoirdog
That sounds like a plan for me
will give that a try...
thx so much!
Reply | Threaded
Open this post in threaded view
|

Re: Import Package made by Infrastructure Map Server 2012

Hans Milling
One of the problems is that AIMS2012 has a new watermark xml tag in the schema 2.3 that is not supported by MGOS2.2. If you have used this feature or anything else introduced in AIMS2012 then your layers won't display the watermark etc. in MGOS2.2.

Hans...
Reply | Threaded
Open this post in threaded view
|

Re: Import Package made by Infrastructure Map Server 2012

Reservoirdog
Thankyou so much, it worked fine.
We haven't used any of the mentioned "new" features of
AIMS2012, so no problems encountered....
Maestro simply again is THE "swiss pocket knife" when it comes
to Mapguide...
thx again.
Reply | Threaded
Open this post in threaded view
|

Re: Import Package made by Infrastructure Map Server 2012

Jackie Ng
You will find that Studio will always use the latest schema version of any resource and will in-place upgrade any resource when saving, which will cause problems like the one you are having right now.

Maestro does not force this on you because it understands that you may want to move packages to older versions of MapGuide :) So when you make a new Layer Definition, Map Definition, etc, you have a whole bunch of different schema versions to choose from.

- Jackie